summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorNarayan Desai <desai@mcs.anl.gov>2004-10-22 18:21:47 +0000
committerNarayan Desai <desai@mcs.anl.gov>2004-10-22 18:21:47 +0000
commitac729319133e1d3db5a08f30fc86acb89ec1d1f2 (patch)
treeba4aead81fb44252fc6687bc7c5b45c2aad0f2be
parent1b9505cc3c970ee6f86707284c598146380586d5 (diff)
downloadbcfg2-ac729319133e1d3db5a08f30fc86acb89ec1d1f2.tar.gz
bcfg2-ac729319133e1d3db5a08f30fc86acb89ec1d1f2.tar.bz2
bcfg2-ac729319133e1d3db5a08f30fc86acb89ec1d1f2.zip
(Logical change 1.111)
git-svn-id: https://svn.mcs.anl.gov/repos/bcfg/trunk/bcfg2@500 ce84e21b-d406-0410-9b95-82705330c041
-rw-r--r--bcfg2.init32
1 files changed, 32 insertions, 0 deletions
diff --git a/bcfg2.init b/bcfg2.init
index e69de29bb..9da2e018c 100644
--- a/bcfg2.init
+++ b/bcfg2.init
@@ -0,0 +1,32 @@
+#!/bin/sh
+#
+# bcfg2 - bcfg2 configuration client
+#
+# chkconfig: 2345 19 81
+# description: bcfg2 client for configuration requests
+#
+
+case "$1" in
+ start)
+ if test -e /etc/donttouchme; then
+ rm -f /etc/donttouchme
+ echo "bcfg2 does not need to run."
+ else
+ echo -n "Running bcfg: "
+ /usr/sbin/bcfg2 -q
+ echo "bcfg2"
+ fi
+ ;;
+ stop)
+ /bin/true
+ ;;
+ restart)
+ $0 stop
+ $0 start
+ ;;
+ *)
+ echo "Usage: bcfg2 {start|stop|restart}"
+ exit 1
+esac
+
+exit 0